=== debian/control ===
Source: ubuntuone-credentials
Section: libs
Priority: extra
Build-Depends:
 cmake,
 debhelper (>= 9),
 liboauth-dev,
 libaccounts-qt5-dev,
 libsignon-qt5-dev,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtdeclarative5-ubuntu-ui-toolkit-plugin,
 signon-plugins-dev,
 xvfb
Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
Standards-Version: 3.9.4
Xs-Testsuite: autopkgtest

Package: ubuntuone-credentials-common
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ubuntuone-client-data (>= 4.2.0)
Description: Ubuntu One authentication library - common data
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes common data files for the Ubuntu One authentication
 library and utilities.

Package: libubuntuoneauth-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ubuntuone-credentials-common (= ${binary:Version}),
 signon-plugin-password
Description: Ubuntu One authentication library
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the main library.

Package: libubuntuoneauth-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 liboauth-dev,
 libsecret-1-dev
Description: Ubuntu One authentication library - development files
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the development files for the Ubuntu One authentication
 library.

Package: ubuntuone-credentials
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 ubuntuone-client-data (>= 4.2.0)
Description: Ubuntu One authentication library - utility applications
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes extra utility applications used by the library.

Package: qtdeclarative5-ubuntuone1.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtdeclarative5-ubuntu-ui-toolkit-plugin
Breaks: qtdeclarative5-ubuntuone-credentials-plugin
Replaces: qtdeclarative5-ubuntuone-credentials-plugin
Description: Ubuntu One authentication library - Qt declarative plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes a Qt declarative plug-in for using the library.

Package: signon-plugin-ubuntuone
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libubuntuoneauth-2.0-0 (= ${binary:Version})
Description: Ubuntu One authentication library - signon plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes an authentication plug-in for the signon daemon.

Package: account-plugin-ubuntuone
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtdeclarative5-ubuntuone1.0 (= ${binary:Version}),
 ubuntu-system-settings-online-accounts
Description: Ubuntu One authentication library - account settings plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the accounts plug-in for Ubuntu System Settings.
