=== debian/watch ===
version=3
http://launchpad.net/ubuntuone-credentials/stable-13-10 .*/ubuntuone-credentials-([0-9.]+)\.tar\.bz2
