## ubuntuone-credentials 14.04%2B14.04.20140415

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
DH_CMAKE_BUILD_DIR=obj-${DEB_BUILD_GNU_TYPE}
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH ?= $(shell dpk-architecture -qDEB_HOST_ARCH)


%:
	dh $@ --buildsystem cmake --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	if [ "x${DEB_HOST_ARCH}" = "xarmhf" -o "x$(DEB_HOST_ARCH)" = "armel" ]; then \
		dh_auto_build -- ubuntuoneauth-tests; \
	else \
		dh_auto_build -- check; \
	fi
