## ubuntuone-credentials 14.04+14.04.20140415

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,14 @@
 
 # This is the name and release version of the project
 PROJECT (ubuntuone-credentials)
-SET (PROJECT_VERSION 13.10)
+SET (PROJECT_VERSION 14.04)
 
 # Some variables for the library builds
 SET (AUTH_LIB_VERSION 0.1.0)
 SET (AUTH_LIB_SOVERSION 0)
 SET (AUTH_LIB_API_VERSION 2.0)
-SET (AUTH_LIB_NAME ubuntuoneauth-${AUTH_LIB_API_VERSION})
+SET (AUTH_LIB_UNVERSIONED ubuntuoneauth)
+SET (AUTH_LIB_NAME ${AUTH_LIB_UNVERSIONED}-${AUTH_LIB_API_VERSION})
 
 # these names are used in qml-credentials-service/qmldir.template
 SET (QML_MODULE_NAME UbuntuOne)
@@ -46,7 +47,6 @@
 
 add_subdirectory(data)
 add_subdirectory(libubuntuoneauth)
-add_subdirectory(music-login)
 add_subdirectory(signon-plugin)
 add_subdirectory(qml-credentials-service)
 add_subdirectory(online-accounts-provider)
@@ -56,13 +56,13 @@
 # We use $namespace-tests[-valgrind[-leaks]] for the test names in subdirs,
 # and depend on them here, so that 'make check' will run them all.
 add_custom_target(check
-  DEPENDS ubuntuoneauth-tests music-login-tests
+  DEPENDS ubuntuoneauth-tests
 )
 
 add_custom_target(check-valgrind
-  DEPENDS ubuntuoneauth-tests-valgrind music-login-tests-valgrind
+  DEPENDS ubuntuoneauth-tests-valgrind
 )
 
 add_custom_target(check-valgrind-leaks
-  DEPENDS ubuntuoneauth-tests-valgrind-leaks music-login-tests-valgrind-leaks
+  DEPENDS ubuntuoneauth-tests-valgrind-leaks
 )
