=== debian/control ===
Source: ubuntuone-credentials
Section: libs
Priority: optional
Build-Depends:
 cmake,
 debhelper (>= 9),
 libaccounts-qt5-dev,
 liboauth-dev,
 libsignon-qt5-dev,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtdeclarative5-ubuntu-ui-toolkit-plugin,
 python (>= 2.7),
 signon-plugins-dev,
 ubuntu-ui-toolkit-autopilot,
 xvfb,
Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
Standards-Version: 3.9.5
Vcs-Bzr: lp:ubuntuone-credentials
Xs-Testsuite: autopkgtest

Package: ubuntuone-credentials-common
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 ubuntuone-client-data (>= 4.2.0),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - common data
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes common data files for the Ubuntu One authentication
 library and utilities.

Package: ubuntuone-credentials-autopilot
Architecture: all
Depends:
 libautopilot-qt (>= 1.4),
 python-autopilot,
 python-fixtures,
 python-testtools,
 qtdeclarative5-online-accounts-client0.1,
 qtdeclarative5-qtquick2-plugin,
 qtdeclarative5-test-plugin,
 qtdeclarative5-ubuntu-ui-toolkit-plugin | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles,
 qtdeclarative5-ubuntuone1.0,
 ubuntu-ui-toolkit-autopilot,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - autopilot tests
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the autopilot tests.

Package: libubuntuoneauth-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 signon-plugin-password,
 ubuntuone-credentials-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the main library.

Package: libubuntuoneauth-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libaccounts-qt5-dev,
 liboauth-dev,
 libsignon-qt5-dev,
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtbase5-dev,
 ${misc:Depends},
Description: Ubuntu One authentication library - development files
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the development files for the Ubuntu One authentication
 library.

Package: qtdeclarative5-ubuntuone1.0
Architecture: any
Multi-Arch: same
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtdeclarative5-ubuntu-ui-toolkit-plugin,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 qtdeclarative5-ubuntuone-credentials-plugin,
Replaces:
 qtdeclarative5-ubuntuone-credentials-plugin,
Description: Ubuntu One authentication library - Qt declarative plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes a Qt declarative plug-in for using the library.

Package: signon-plugin-ubuntuone
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - signon plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes an authentication plug-in for the signon daemon.

Package: account-plugin-ubuntuone
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtdeclarative5-ubuntuone1.0 (= ${binary:Version}),
 ubuntu-system-settings-online-accounts,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - account settings plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the accounts plug-in for Ubuntu System Settings.
