## ubuntuone-credentials 14.04+14.10.20140910

=== debian/changelog ===
ubuntuone-credentials (14.04+14.10.20140910) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Rodney Dawes ]
  * Add new ctor for Token to accept created/updated date strings. Use
    the new ctor when creating the token from the REST response. Turn
    the date string returned from the server into an ISO string for
    parsing. Add more tests. (LP: #1366998)

  [ Sebastien Bacher ]
  * Set wrapmode to avoid having a label cut (LP: #1366294)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Sep 2014 13:18:31 +0000

ubuntuone-credentials (14.04+14.10.20140903) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ John R. Lenton ]
  * Make the 2fa entry more usable. (LP: #1364935)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Sep 2014 21:29:13 +0000

ubuntuone-credentials (14.04+14.10.20140821) utopic; urgency=low

  [ Rodney Dawes ]
  * Don't set the width/height of the flickable. (LP: #1350543)
  * Enable langpacks for ubuntuone-credentials.
  * Store and parse the created and updated times on the token.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 21 Aug 2014 02:19:04 +0000

ubuntuone-credentials (14.04+14.10.20140815) utopic; urgency=low

  [ Rodney Dawes ]
  * Install the translations in the correct place. Package the installed
    translations.
  * Don't call sync so much. Don't call resetUI on success or cancel, to
    avoid popping the keyboard. Set the displayName of the account
    internally. Do not set the display name, or enable or sync the
    account, in the qml. (LP: #1239616)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 15 Aug 2014 16:44:30 +0000

ubuntuone-credentials (14.04+14.10.20140802) utopic; urgency=low

  [ Rodney Dawes ]
  * Warn and return if the URL is empty, before signing. (LP: #1270283)
  * Let Qt choose to abort() or exit(1) for fatal messages. (LP:
    #1351345)
  * Enable translation of the strings in the plug-in. (LP: #1201460)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 02 Aug 2014 02:08:58 +0000

ubuntuone-credentials (14.04+14.10.20140729) utopic; urgency=low

  [ Rodney Dawes ]
  * Fixes to enable cross-compiling. (LP: #1347885)
  * Update layout for new designs. Wrap some strings in QML in i18n.tr
    to later enable translations. Add build dependency on
    qtdeclarative5-dev-tools.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 29 Jul 2014 21:39:17 +0000

ubuntuone-credentials (14.04+14.10.20140710) utopic; urgency=low

  [ Leo Arias ]
  * Ported the autopilot tests to python3. Refactored and updated the
    tests to use new helpers and to be more consistent with the rest of
    packages.

  [ Rodney Dawes ]
  * Don't hit the ping URL on one.ubuntu.com any longer.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Jul 2014 20:21:22 +0000

ubuntuone-credentials (14.04+14.10.20140513ubuntu1) utopic; urgency=medium

  * Depend on qtbase5-dev | qtbase5-gles-dev, for compatibility with the
    touch stack.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Jun 2014 15:42:22 -0700

ubuntuone-credentials (14.04+14.10.20140513) utopic; urgency=low

  [ Martin Pitt ]
  * Fix FTBFS (#1318947). Clean up unnecessarily noisy
    debian/tests/control (LP: #1318947)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 May 2014 09:15:46 +0000
