=== debian/control ===
--- 
+++ 
@@ -7,17 +7,20 @@
  libaccounts-qt5-dev,
  liboauth-dev,
  libsignon-qt5-dev,
+ pkg-config,
  qtbase5-dev,
  qtdeclarative5-dev,
+ qtdeclarative5-dev-tools,
  qtdeclarative5-ubuntu-ui-toolkit-plugin,
- python (>= 2.7),
+ python3-all:native,
  signon-plugins-dev,
- ubuntu-ui-toolkit-autopilot,
+ ubuntu-ui-toolkit-autopilot:native,
  xvfb,
 Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
 Standards-Version: 3.9.5
 Vcs-Bzr: lp:ubuntuone-credentials
 Xs-Testsuite: autopkgtest
+X-Ubuntu-Use-Langpack: yes
 
 Package: ubuntuone-credentials-common
 Architecture: all
@@ -41,9 +44,9 @@
 Architecture: all
 Depends:
  libautopilot-qt (>= 1.4),
- python-autopilot,
- python-fixtures,
- python-testtools,
+ python3-autopilot,
+ python3-fixtures,
+ python3-testtools,
  qtdeclarative5-online-accounts-client0.1,
  qtdeclarative5-qtquick2-plugin,
  qtdeclarative5-test-plugin,
@@ -90,7 +93,7 @@
  liboauth-dev,
  libsignon-qt5-dev,
  libubuntuoneauth-2.0-0 (= ${binary:Version}),
- qtbase5-dev,
+ qtbase5-dev | qtbase5-gles-dev,
  ${misc:Depends},
 Description: Ubuntu One authentication library - development files
  A library for native applications to log into the Ubuntu One services,
