## ubuntuone-credentials 14.04+15.04.20150401

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # This is the name and release version of the project
 PROJECT (ubuntuone-credentials)
 SET (PROJECT_VERSION 14.04)
+
+include(GNUInstallDirs)
 
 # Some variables for the library builds
 SET (AUTH_LIB_VERSION 0.1.0)
@@ -50,6 +52,7 @@
 add_subdirectory(signon-plugin)
 add_subdirectory(qml-credentials-service)
 add_subdirectory(online-accounts-provider)
+add_subdirectory(po)
 
 # We need to add these here which simply depend on other test rules, as
 # CMake doesn't allow defining a "check" rule in multiple places.
