=== debian/changelog ===
ubuntuone-credentials (14.04+15.04.20150401) vivid; urgency=medium

  [ Alberto Mardegan ]
  * Upgrades the ACL of U1 accounts registered in the Online Accounts
    database. Add dependencies on sqlite3 and account-plugin-tools for
    migration script. (LP: #1376445)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 01 Apr 2015 17:53:57 +0000

ubuntuone-credentials (14.04+15.04.20150310) vivid; urgency=medium

  [ Rodney Dawes ]
  * Update autopilot dependencies for the autopilot tests package. (LP:
    #1429158)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 10 Mar 2015 19:00:56 +0000

ubuntuone-credentials (14.04+15.04.20150120) vivid; urgency=low

  [ Rodney Dawes ]
  * Set the default ACL as ["unconfined"] for the account. (LP:
    #1376445)
  * Handle keyringError from the keyring, by deleting token. (LP:
    #1282392)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 Jan 2015 18:09:09 +0000
