=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends:
  cmake,
  debhelper (>= 9),
+ dh-migrations,
  libaccounts-qt5-dev,
  liboauth-dev,
  libsignon-qt5-dev,
@@ -43,7 +44,7 @@
 Package: ubuntuone-credentials-autopilot
 Architecture: all
 Depends:
- libautopilot-qt (>= 1.4),
+ autopilot-qt5 (>= 1.4+14.10.20140820) | libautopilot-qt (>= 1.4),
  python3-autopilot,
  python3-fixtures,
  python3-testtools,
@@ -52,6 +53,7 @@
  qtdeclarative5-test-plugin,
  qtdeclarative5-ubuntu-ui-toolkit-plugin | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles,
  qtdeclarative5-ubuntuone1.0,
+ qttestability-autopilot | libautopilot-qt,
  ubuntu-ui-toolkit-autopilot,
  ${misc:Depends},
  ${python:Depends},
@@ -70,7 +72,9 @@
  multiarch-support,
  ${misc:Pre-Depends},
 Depends:
+ account-plugin-tools,
  signon-plugin-password,
+ sqlite3,
  ubuntuone-credentials-common (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
