## ubuntuone-credentials 15.10+15.10.20150713ubuntu1~gcc5.1

=== debian/changelog ===
ubuntuone-credentials (15.10+15.10.20150713ubuntu1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 16:22:56 +0000

ubuntuone-credentials (15.10+15.10.20150713) wily; urgency=medium

  [ Albert Astals Cid ]
  * Wrap the main header and error labels. (LP: #1368797, #1453830)

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 13 Jul 2015 19:59:31 +0000

ubuntuone-credentials (15.10+15.10.20150617) wily; urgency=medium

  [ Pawel Stolowski ]
  * Added Token::consumerKey() getter.

  [ CI Train Bot ]
  * debian/libubuntuoneauth-2.0-0.symbols: update to released version.
  * New rebuild forced.
  * Resync trunk.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 17 Jun 2015 16:58:41 +0000

ubuntuone-credentials (14.04+15.10.20150506) wily; urgency=medium

  [ Leo Arias ]
  * On autopilot helpers, dismiss the on-screen keyboard when filling
    the new account form. Workaround for bug #1442733. (LP: #1442733)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 06 May 2015 20:53:15 +0000
