=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
  signon-plugins-dev,
  ubuntu-ui-toolkit-autopilot:native,
  xvfb,
-Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
 Standards-Version: 3.9.5
 Vcs-Bzr: lp:ubuntuone-credentials
 Xs-Testsuite: autopkgtest
@@ -54,6 +55,7 @@
  qtdeclarative5-ubuntu-ui-toolkit-plugin | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles,
  qtdeclarative5-ubuntuone1.0,
  qttestability-autopilot | libautopilot-qt,
+ ubuntu-keyboard-autopilot,
  ubuntu-ui-toolkit-autopilot,
  ${misc:Depends},
  ${python:Depends},
